# Method: updateSettings

- [HTTP request](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/TopLevel/updateSettings#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/TopLevel/updateSettings#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/TopLevel/updateSettings#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/TopLevel/updateSettings#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/TopLevel/updateSettings#body.aspect)
- [Examples](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/TopLevel/updateSettings#examples)

Updates the customer-level settings.

### HTTP request

`PATCH https://alertcenter.googleapis.com/v1beta1/settings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `customerId` | `string` Optional. The unique identifier of the Google Workspace account of the customer the alert settings are associated with. The `customerId` must have the initial "C" stripped (for example, `046psxkn`). Inferred from the caller identity if not provided. [Find your customer ID](https://support.google.com/cloudidentity/answer/10070793). |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/Settings`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/Settings`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.alerts`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).